Forum Post
Index > Scribe > Error 5 when using SSL

Author/Date Error 5 when using SSL
George
12/04/2005 4:04pm
Each time I send an email using Scribe, using Gmail as my SMTP server, I get this error just before the server signs-off.

...
QUIT
Error 5: error:00000005:lib(0):func(0):DH lib
SSL connection closed.

The mail still gets sent, so the error has not affected me yet, but thought you might like to know.

G

P.S. If this is a Gmail error, and nothing to do with Scribe, I apologise.
Marco
11/02/2006 5:50pm
I get the same problem with the last version of OpenSSL...
G
17/04/2006 11:08pm
Same here, im trying to run iscribe from a usd memory stick.
using:
dll from new openssl - copied from c:\windows\system32 to scribe folder on memory stick,
v 1.89 test1 of iscribe,
ssl plugin for that version.

One difference to the original post is that my email doesnt get sent.
fret
17/04/2006 11:37pm
That error is just shutdown cruft. It doesn't usually mean anything is wrong. I should probably go in there and stop it being echoed to the log but I always have a list of important things to fix/code so it's just never gets done.

But if email is actually not being sent, then it becomes much more important. I'll add this to my list of things to look at this week.
Chris
18/04/2006 4:43am
I'm getting this error when attempting to send through gmail from v 1.89 test1:

Using 'O:\progs\_browse\Scribe\ssleay32.dll'
Using 'O:\progs\_browse\Scribe\libeay32.dll'
Error: Scribe_SSL.cpp:349 - BIO_do_connect failed
Connection closed.

I am using smtp.gmail.com:587
Receiving works alright. Any suggestions?

Chris
fret
18/04/2006 5:07am
Chris: That looks like the raw network layer in the SSL lib can't form a connection to the server. Are you behind a firewall? (Thats the most common reason you can't connect directly)
Chris
18/04/2006 7:37pm
You're right fret - a big firewall, covering the entire country! Pleasures of the third world coupling political paranoia with greedy state monopols. Just conducted some more tests.

The suckers block basically all ports except the most used ones - and nothing can be done about it.

Thx for your help - I just have to accept that I won't be able to use smtp with ssl. Luckily, there are worse things in life :-)

Cheers
Chris
G
18/04/2006 10:02pm
As a check I started again and copied all files to my usb stick from scratch.

On receiving I get the same 'error 5' message but dont get my email - green light, as you say not really an error.
On sending I now get a seperate error window 'couldnt open a connection to the server'- red light.

I assume this means Im stuck behind a firewall that wont give me a direct connection to the gmail server, though there is a connection of some kind as pinging pop and smtp is no problem. Also emailing is no problem via an internet browser.

Cheers for replying to the previous post so quickly.
fret
18/04/2006 11:52pm
You could post me some of the connection logs to show me where things get up to. Status Panel -> click account -> send/receive -> click 'Log' tab -> right click and copy to clipboard.. -> paste into email or forum.
G
19/04/2006 9:47pm
Hi fret, here goes:

Receiving:
Using 'F:\email\scribe\ssleay32.dll'
Using 'F:\email\scribe\libeay32.dll'
Connected to 'pop.gmail.com:995' using SSL
Error 5: error:00000005:lib(0):func(0):DH lib

SSL connection closed.

Sending:
Using 'F:\email\scribe\ssleay32.dll'
Using 'F:\email\scribe\libeay32.dll'
Connected to 'smtp.gmail.com:587'
Connection closed.

At which point the 'Couldnt open a connection to the server, server error' box is displayed

POP is enabled in gmail and has been for months (I usually use Outlook),
there is an unread message in the gmail inbox, which isnt received,
plus in iscribe there are two messages in the outbox, which dont send.

Any help is appreciated as a usb email client is exactly what I need.
B. Gupta
24/04/2007 6:05pm
Mine is identical problem.

I have i.Scribe on sandisk cruzer micro 4gb usb drive. I was successfully receiving mail till 22nd March, but failed to do it today on two different computers. No chnge in settings of iScribe on this usb drive.

I am able to receive msgs trough 'outlook', hence this is not a gmail problem.

Request for help
Reply